Notus API
Smart wallets

Update Transaction Metadata

Update the metadata of a transaction associated with a smart wallet.

PATCH
/api/v1/wallets/transactions/{transactionId}/metadata

Authorization

x-api-key
x-api-key<token>

In: header

Path Parameters

transactionId*string

Our internal ID for the transaction. Do not confuse with the transaction hash, which is a blockchain related concept and that multiple user operations can be executed on the same transaction hash.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X PATCH "https://example.com/api/v1/wallets/transactions/f1d61925-d4ae-450a-9f74-ab55f5e6647b/metadata" \  -H "Content-Type: application/json" \  -d '{    "metadata": {      "key1": "value1",      "key2": "value2"    }  }'
{  "transaction": {    "metadata": {      "key": "value"    },    "id": "f1d61925-d4ae-450a-9f74-ab55f5e6647b",    "createdAt": "2025-08-20T19:32:23.581Z",    "updatedAt": "2025-08-20T20:45:12.385Z",    "executedAt": "2025-08-20T20:45:12.385Z",    "status": "COMPLETED",    "transactionHash": {      "hash": "0x68232841f033cf0d9420b0197d667058ab463ed5a524b544f9d016576ca8e2fb",      "explorerURL": "https://polygonscan.com/tx/0x68232841f033cf0d9420b0197d667058ab463ed5a524b544f9d016576ca8e2fb",      "explorer": "PolygonScan"    },    "chain": {      "id": 137,      "name": "POLYGON",      "logo": "https://logopolygon.com"    },    "type": "CRYPTO_DEPOSIT",    "userOperationHash": "0x2aac7a66d5331454eafc9b981be3596ad08a40dad24883e3b9c4a5362cd7f7e1",    "receivedBy": "0xa2acc967a9fc4fd5d18351d06deb9b8718c18333",    "receivedFromAddress": "0xeca5dd1bfbdd52fb9d94438d2ea4d27acae33b72",    "receivedCryptoCurrency": {      "name": "Wrapped Bitcoin",      "symbol": "WBTC",      "decimals": 18,      "address": "0x2f2a2543b76a4166549f7aab2e75bef0aefc5b0f",      "logoURL": "https://assets.notus.team/wbtc.png"    },    "receivedAmount": {      "token": {        "name": "Wrapped Bitcoin",        "symbol": "WBTC",        "decimals": 18,        "address": "0x2f2a2543b76a4166549f7aab2e75bef0aefc5b0f",        "logoURL": "https://assets.notus.team/wbtc.png"      },      "amount": "3342.7389263",      "amountIn": {        "btc": "1234.98765",        "eth": "1234.98765",        "ltc": "1234.98765",        "bch": "1234.98765",        "bnb": "1234.98765",        "eos": "1234.98765",        "xrp": "1234.98765",        "xlm": "1234.98765",        "link": "1234.98765",        "dot": "1234.98765",        "yfi": "1234.98765",        "usd": "1234.98765",        "aed": "1234.98765",        "ars": "1234.98765",        "aud": "1234.98765",        "bdt": "1234.98765",        "bhd": "1234.98765",        "bmd": "1234.98765",        "brl": "1234.98765",        "cad": "1234.98765",        "chf": "1234.98765",        "clp": "1234.98765",        "cny": "1234.98765",        "czk": "1234.98765",        "dkk": "1234.98765",        "eur": "1234.98765",        "gbp": "1234.98765",        "gel": "1234.98765",        "hkd": "1234.98765",        "huf": "1234.98765",        "idr": "1234.98765",        "ils": "1234.98765",        "inr": "1234.98765",        "jpy": "1234.98765",        "krw": "1234.98765",        "kwd": "1234.98765",        "lkr": "1234.98765",        "mmk": "1234.98765",        "mxn": "1234.98765",        "myr": "1234.98765",        "ngn": "1234.98765",        "nok": "1234.98765",        "nzd": "1234.98765",        "php": "1234.98765",        "pkr": "1234.98765",        "pln": "1234.98765",        "rub": "1234.98765",        "sar": "1234.98765",        "sek": "1234.98765",        "sgd": "1234.98765",        "thb": "1234.98765",        "try": "1234.98765",        "twd": "1234.98765",        "uah": "1234.98765",        "vef": "1234.98765",        "vnd": "1234.98765",        "zar": "1234.98765",        "xdr": "1234.98765",        "xag": "1234.98765",        "xau": "1234.98765",        "bits": "1234.98765",        "sats": "1234.98765"      },      "cryptoCurrency": {        "name": "Wrapped Bitcoin",        "symbol": "WBTC",        "decimals": 18,        "address": "0x2f2a2543b76a4166549f7aab2e75bef0aefc5b0f",        "logoURL": "https://assets.notus.team/wbtc.png"      }    }  }}